glab(1)

NAME
glab-securefile-create - Upload a new secure file to a project.

SYNOPSIS
glab securefile create [flags]

DESCRIPTION
Provide the name to store the file under, followed by the local path to the file to upload.

Secure files are stored outside the project's repository and not in version control. Both plain text and binary files are supported, up to a maximum size of 5 MB.

By default, the file is uploaded to the current project. Use --repo to target another project.

OPTIONS INHERITED FROM PARENT COMMANDS
-h, --help[=false]
    Show help for this command.

-R, --repo=""
    Select another repository. You can use either OWNER/REPO or GROUP/NAMESPACE/REPO. The full URL or Git URL is also accepted.

EXAMPLE
    # Upload a secure file from a local path
    glab securefile create "newfile.txt" "securefiles/localfile.txt"
    # Upload using the 'upload' alias
    glab securefile upload "newfile.txt" "securefiles/localfile.txt"
    # Upload to another project
    glab securefile create "newfile.txt" "securefiles/localfile.txt" -R owner/repo

SEE ALSO
glab-securefile(1)